DS-REPLCHECK(1)

NAME
ds-replcheck

SYNOPSIS
ds-replcheck [-h] [-v] {online,offline,state} ...

DESCRIPTION
Replication Comparison Tool (v2.0). This script can be used to compare two
replicas to see if they are in sync.

OPTIONS

  Sub-commands

ds-replcheck online
    Compare two online replicas for differences

ds-replcheck offline
    Compare two replication LDIF files for differences (LDIF file generated by 'db2ldif -r')

ds-replcheck state
    Get the general state of replication between two replicas

OPTIONS 'ds-replcheck state'
usage: ds-replcheck online [-h] -m MURL -r RURL -b SUFFIX -D BINDDN
                        [-w BINDPW] [-W] [-y PASS_FILE] [-Z CERTDIR]

-m MURL, --master-url MURL
    The LDAP URL for the Master server

-r RURL, --replica-url RURL
    The LDAP URL for the Replica server

-b SUFFIX, --suffix SUFFIX
    Replicated suffix

-D BINDDN, --bind-dn BINDDN
    The Bind DN

-w BINDPW, --bind-pw BINDPW
    The Bind password

-W, --prompt
    Prompt for the bind DN password

-y PASS_FILE, --pass-file PASS_FILE
    A text file containing the clear text password for the bind dn

-Z CERTDIR, --cert-dir CERTDIR
    The certificate database directory for secure connections

OPTIONS 'ds-replcheck online'
usage: ds-replcheck online [-h] -m MURL -r RURL --rid RID -b SUFFIX -D BINDDN
                        [-w BINDPW] [-W] [-y PASS_FILE] [-l LAG] [-c]
                        [-Z CERTDIR] [-i IGNORE] [-p PAGESIZE] [-o FILE]

-m MURL, --master-url MURL
    The LDAP URL for the Master server

-r RURL, --replica-url RURL
    The LDAP URL for the Replica server

-b SUFFIX, --suffix SUFFIX
    Replicated suffix

-D BINDDN, --bind-dn BINDDN
    The Bind DN

-w BINDPW, --bind-pw BINDPW
    The Bind password

-W, --prompt
    Prompt for the bind DN password

-y PASS_FILE, --pass-file PASS_FILE
    A text file containing the clear text password for the bind dn

-l LAG, --lag-time LAG
    The amount of time to ignore inconsistencies (default 300 seconds)

-c, --conflicts
    Display verbose conflict entry information

-Z CERTDIR, --cert-dir CERTDIR
    The certificate database directory for secure connections

-i IGNORE, --ignore IGNORE
    Comma separated list of attributes to ignore

-p PAGESIZE, --page-size PAGESIZE
    The paged-search result grouping size (default 500 entries)

-o FILE, --out-file FILE
    The output file

OPTIONS 'ds-replcheck offline'
usage: ds-replcheck offline [-h] -m MLDIF -r RLDIF --rid RID -b SUFFIX [-c]
                        [-i IGNORE] [-o FILE]

-m MLDIF, --master-ldif MLDIF
    Master LDIF file

-r RLDIF, --replica-ldif RLDIF
    Replica LDIF file

--rid RID
    The Replica Identifier (rid) for the "Master" server

-b SUFFIX, --suffix SUFFIX
    Replicated suffix

-c, --conflicts
    Display verbose conflict entry information

-i IGNORE, --ignore IGNORE
    Comma separated list of attributes to ignore

-o FILE, --out-file FILE
    The output file

-v, --verbose
    Verbose output

AUTHOR
ds-replcheck was written by the 389 Project.

REPORTING BUGS
Report bugs to https://pagure.io/389-ds-base/new_issue

COPYRIGHT
Copyright © 2018 Red Hat, Inc.